﻿@model Instantly.Models.Order

@{
    ViewData["Title"] = "Details";
}

<!--
<h1>Details</h1>

<div>
    <h4>Order</h4>
    <hr />
    <dl class="row">
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Title)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Title)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.About)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.About)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Price)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Price)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Attachment)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Attachment.AttachmentId)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.OrderStatus)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.OrderStatus.OrderStatusId)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Tag)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Tag.TagId)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.ClientUser)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.ClientUser.UserId)
        </dd>
    </dl>
</div>
<div>
    <a asp-action="Edit" asp-route-id="@Model.OrderId">Edit</a> |
    <a asp-action="Index">Back to List</a>
</div>
-->

<div class="container">
    <div class="row">
        <div class="col-md-9 orderblock">

            <div class="row align-items-center customerinfo">
                <div class="col-md-2">
                    @if (Model.ClientUser.Photo == null)
                    {
                        <img src="https://svgsilh.com/svg/159236-9e9e9e.svg" width="100" height="100">
                    }
                    else
                    {
                        <img src="@Model.ClientUser.Photo" width="100" height="100">
                    }
                </div>
                <div class="col-md-9 customertextinfo" style="padding-left: 0px;">
                    <div class="col-md-12">
                        <a asp-controller="Account" asp-action="Profile" asp-route-useremail="@Model.ClientUser.Email">@Model.ClientUser.FIO</a>
                    </div>
                    <div class="col-md-12">
                        Дата народження: @Model.ClientUser.Birthdate.ToShortDateString()
                    </div>
                    <div class="col-md-12">
                        Рейтинг: @ViewBag.GeneralUserRating (@Model.ClientUser.UserReviewsAsTarget.Count відгуки)
                    </div>
                </div>
            </div>

            <div class="row ordermiddle">
                <header class="col-md-9">
                    <h4>@Model.Title <span class="badge badge-success">@Model.Price грн</span> </h4>
                </header>
                <article class="col-md-9 aboutorder">
                    @Html.Raw(Model.About?.Replace("\n", "<br/>"))
                </article>
                @if (@Model.Attachment != null)
                {
                    <article class="col-md-9">
                        <b>Додаток:</b> <a href="@Model.Attachment.Path">@Model.Attachment.Caption</a>
                    </article>
                }
            </div>

            <div class="row orderfooter">
                <div class="col">@Model.Tag.Name</div>
                <div class="col">@Model.CreationDateTime</div>
                <div class="col">Переглядів: @ViewBag.ViewsCount</div>
                <!--<div class="col">four</div>-->
            </div>

        </div>
    </div>
</div>